## ros-dashing-realsense2-description 3.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(realsense2_description)

find_package(ament_cmake REQUIRED)

# Install files
install(DIRECTORY 
        launch 
        meshes 
        rviz 
        urdf
        DESTINATION share/${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-dashing-realsense2-description (3.2.1-1bionic) bionic; urgency=high



 -- Doron Hirshberg <doron.hirshberg@intel.com>  Sun, 09 May 2021 21:00:00 -0000

ros-dashing-realsense2-description (3.2.0-1bionic) bionic; urgency=high



 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 04 May 2021 21:00:00 -0000

ros-dashing-realsense2-description (3.1.6-1bionic) bionic; urgency=high



 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 04 May 2021 21:00:00 -0000

ros-dashing-realsense2-description (3.1.5-1bionic) bionic; urgency=high



 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 23 Mar 2021 22:00:00 -0000

ros-dashing-realsense2-description (3.1.4-1bionic) bionic; urgency=high

  * d415 add plug
  * fix d415 mass in _d415.urdf.xacro.
    import tests for xacro files.
  * Contributors: Manuel Stahl, Tim Übelhör, doronhi

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Wed, 17 Feb 2021 22:00:00 -0000

ros-dashing-realsense2-description (3.1.3-1bionic) bionic; urgency=high

  * fix realsense2_description's dependency to realsense2_camera_msgs
    remove boost dependency.
    rename node_namespace to namespace
    rename node_executable to executable
  * Contributors: doronhi

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Sun, 27 Dec 2020 22:00:00 -0000

ros-dashing-realsense2-description (3.1.2-1bionic) bionic; urgency=high

  * Add urdf for L515.
  * remove librealsense2 and realsense2_camera dependencies
  * Add models for D415, D435, D435i.
    For visualization, can be presented using view_model.launch.py
  * fix view_d435_model.launch.py and view_d435i_model.launch.py
    run: ros2 launch realsense2_description view_d435i_model.launch.py
  * Contributors: Ryan Shim, doronhi

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Wed, 09 Dec 2020 22:00:00 -0000

ros-dashing-realsense2-description (2.2.14-1bionic) bionic; urgency=high

  * fix urdf issues (arg use_nominal_extrinsics).
  * Add noetic support:
    - urdf files.
    - change state_publisher into robot_state_publisher
  * correct offset between camera_link and base_link
  * Contributors: Brice, Marco Camurri, doronhi
  * upgrade version to 2.2.13

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Wed, 17 Jun 2020 21:00:00 -0000

=== debian/control ===
Source: ros-dashing-realsense2-description
Section: misc
Priority: optional
Maintainer: Doron Hirshberg <doron.hirshberg@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-realsense2-camera-msgs, ros-dashing-ros-workspace
Homepage: https://wiki.ros.org/realsense2_camera
Standards-Version: 3.9.2

Package: ros-dashing-realsense2-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-launch-ros, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-realsense2-camera-msgs, ros-dashing-xacro, ros-dashing-ros-workspace
Description: RealSense Camera description package for Intel 3D D400 cameras

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing" \
		-DCMAKE_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-realsense2-description//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
